{
    template:'${tmpl}',
    data:function(){
        return {
          bizCode:"copyrightorder"
        }
    },
    mounted:function(){


    },
    created:function(){
      if(this.codePath.indexOf("allcrorder")>=0){
        this.bizCode="allcrorder";
      }else{
        this.bizCode="copyrightorder";
      }
    },
    methods:{
      rowClick(row,key){
        var that=this;
        if(key=="myfile"){
          console.log("----------------myfile----------------------");
          var url=row.offlinePayDocument;
          if(url==null || url==""){
            this.$message.warning(`附件未上传`);
          }else {
            window.open(row.offlinePayDocument);
          }
        }
        if(key=="audit"){
          this.$confirm('', '是否确定审核通过', {
            confirmButtonText: '确定',
            cancelButtonText: '取消'
          }).then(({ value }) => {
            var orderStatus=row.orderStatus;
            if(orderStatus!='64'){
              this.$message.warning(`订单未处于待审状态`);
            }else {
              row.version+=1;
              row.orderStatus="4";
              this.$root.postReq("/web/orderCtl/update",row).then(rd=>{
                if(rd.status==0){
                  that.$refs.grid.fetchData();
                }
              }).catch(function(e){
                that.$message.warning(`操作失败，请刷新页面后重新操作`);
              });
            }
           }).catch(()=>{
           });
        }
      },

    },
    vname:"gsb-copyrightorder"
}
